# KeyValueBasedVersionsRepoProxy

class KeyValueBasedVersionsRepoProxy < T >(keyValueStore: KeyValueRepo < String , Int >, val database: T ) : StandardVersionsRepoProxy < T > (source)

## Constructors

KeyValueBasedVersionsRepoProxy
Link copied to clipboard
constructor(keyValueStore: KeyValueRepo < String , Int >, database: T )

## Properties

database
Link copied to clipboard
open override val database : T

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion (tableName: String ): Int ?
updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion (tableName: String , version: Int )